:root {
  --background-color-light-grey: #f1f4f7;
  --background-color-med-blue: #002856;
  --background-color-dark-blue: #011f42;
  --color-orange-light: #ffb71e;
  --color-orange-dark: #ff681e;
  --color-white: #fff;
  --color-light-grey: #bec8d3;
  --font-primary: 'Roboto', Arial, sans-serif;
  --font-secondary: 'Industry', 'Roboto', Arial, sans-serif;
  --font-accent: 'Northwell', 'Roboto', Arial, sans-serif;
  --line-height-title-script: 4rem;
  --line-height-footer-script: 9rem;
  --line-height-footer-script-small: 4rem;
  --line-height-small: 1rem;
  --line-height-regular: 1.5rem;
  --font-weight-light: 300;
  --font-weight-reg: 400;
  --font-weight-bold: 600;

  --font-size-sm: clamp(0.6rem, 0.27vi + 0.53rem, 0.75rem);
  --font-size-base: clamp(0.75rem, 0.45vi + 0.64rem, 1rem);
  --font-size-md: clamp(0.94rem, 0.72vi + 0.76rem, 1.33rem);
  --font-size-lg: clamp(1.17rem, 1.1vi + 0.9rem, 1.78rem);
  --font-size-xl: clamp(1.46rem, 1.64vi + 1.05rem, 2.37rem);
  --font-size-xxl: clamp(1.83rem, 2.41vi + 1.23rem, 3.16rem);
  --font-size-xxxl: clamp(2.29rem, 3.49vi + 1.42rem, 4.21rem);
  --font-size-script-sm: clamp(4rem, 8.07vi + 1.98rem, 8.44rem);
  --font-size-script-base: clamp(5rem, 11.36vi + 2.16rem, 11.25rem);
  --font-size-script-md: clamp(6.25rem, 15.9vi + 2.27rem, 15rem);
  --font-size-script-lg: clamp(7.81rem, 22.14vi + 2.28rem, 19.99rem);
  --font-size-script-xl: clamp(9.77rem, 30.69vi + 2.09rem, 26.65rem);
  --font-size-script-xxl: clamp(12.21rem, 42.39vi + 1.61rem, 35.52rem);
  --font-size-script-xxxl: clamp(15.26rem, 58.34vi + 0.67rem, 47.35rem);
}

@font-face {
    font-family: 'Roboto';
    src: url('assets/fonts/Roboto/Roboto-VariableFont_wdth,wght.ttf') format('truetype'),
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-Black.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-Black.woff') format('woff');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-BlackItalic.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-BlackItalic.woff') format('woff');
    font-weight: 800;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-Bold.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-BoldItalic.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-BoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-LightItalic.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-Light.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-Medium.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Industry';
    src: url('assets/fonts/Industry/Industry-MediumItalic.woff2') format('woff2'),
        url('assets/fonts/Industry/Industry-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}


@font-face {
    font-family: 'Northwell';
    src: url('assets/fonts/Northwell/Northwell.woff2') format('woff2'),
        url('assets/fonts/Northwell/Northwell.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}



/* Box sizing rules */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Prevent font size inflation */
html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

/* Remove default margin in favour of better control in authored CSS */
body, h1, h2, h3, h4, p,
figure, blockquote, dl, dd {
  margin-block-end: 0;
}

/* Remove list styles on ul, ol elements with a list role, which suggests default styling will be removed */
ul[role='list'],
ol[role='list'] {
  list-style: none;
}

/* Set core body defaults */
body {
  min-height: 100vh;
  line-height: var(--line-height-regular);
  margin: 0;
  font-family: var(--font-primary);
  -webkit-font-smoothing: antialiased;
}

/* Balance text wrapping on headings */
h1, h2,
h3, h4 {
  text-wrap: balance;
}

/* A elements that don't have a class get default styles */
a:not([class]) {
  text-decoration-skip-ink: auto;
  color: currentColor;
}

/* Make images easier to work with */
img,
picture {
  max-width: 100%;
  display: block;
}

/* Inherit fonts for inputs and buttons */
input, button,
textarea, select {
  font-family: inherit;
  font-size: inherit;
}

/* Make sure textareas without a rows attribute are not tiny */
textarea:not([rows]) {
  min-height: 10em;
}

/* Anything that has been anchored to should have extra scroll margin */
:target {
  scroll-margin-block: 5ex;
}

.main-wrapper {
    display: flex;
    flex-direction: column;
}

.top-nav {
    height: 150px;
    background-color: var(--background-color-med-blue);
    display: flex;
    gap: 2rem;
    justify-content: space-between;
    align-items: center;	  			
}

.logo-image-container {
    padding: 2rem 1rem;
}

.logo-image-horizontal {
    width: auto;
    height: 100px;
}

.navigation-links {
    padding-right: 2rem;
    font-family: var(--font-secondary);
    color: var(--color-white);
    text-decoration: none;
}

a:hover, a:focus {
    color: var(--color-orange-light);
}

a:active  {
    color: var(--color-orange-dark);
}

.averett_script_title {
  font-family: var(--font-accent);
  text-align: center;
  font-size: var(--font-size-script-sm);
  color: var(--color-orange-dark);
  -webkit-font-smoothing: antialiased;
  line-height: var(--line-height-title-script);
  font-weight: var(--font-weight-reg);
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  transform: translateY(200%);
  z-index: 15;
  pointer-events: none;
}

.wFormContainer {
    height: auto !important;
    min-height: 0 !important;
}

.tfa_form_wrapper {
    width: 100%;
    background-color: var(--background-color-light-grey);
}

footer {
  background-color:var(--background-color-med-blue);
}

.footer-top-wrapper {
  text-align: center;
  align-items: center;
  padding: 4rem 6rem;
  justify-items: center;
}

.averett-logo-footer {
  max-width: 250px;
  height: auto;
  padding: 2rem 0rem;
}

.contact-info-block {
  font-family: var(--font-primary);
  display: flex;
  flex-direction: column;
  gap: 0.10rem;
  flex: 1;
}

.contact-info-header {
  font-family: var(--font-secondary);
  font-size: var(--font-size-base);
  font-weight: var(--font-weight-bold);
  letter-spacing: 1px;
  line-height: var(--line-height-small);
  color: var(--color-orange-light);
  text-transform: uppercase;
}

.contact-info-text {
  color: var(--color-white);
}

.averett-script-footer {
  font-size: var(--font-size-script-base);
  line-height: var(--line-height-footer-script-small);
  font-family: var(--font-accent);
  color: var(--color-orange-light);
  font-weight: var(--font-weight-light);
}

.footer-bottom-wrapper {
  font-family: var(--font-primary);
  height: 80px;
  background-color: var(--background-color-dark-blue);
  text-align: right;
  padding: 1rem 2rem;
  align-content: center;
}

.legal-text-footer {
  color: var(--color-light-grey);
  font-family: var(--font-secondary);
  font-size: var(--font-size-base);
  text-transform: uppercase;
  font-weight: var(--font-weight-bold);
}

@media only screen and (min-width: 769px) {

  .averett_script_title {
  font-family: var(--font-accent);
  text-align: center;
  font-size: var(--font-size-script-sm);
  color: var(--color-orange-dark);
  -webkit-font-smoothing: antialiased;
  line-height: var(--line-height-title-script);
  font-weight: var(--font-weight-reg);
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  transform: translateY(150%);
  z-index: 15;
  pointer-events: none;
}

  .footer-top-wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: space-between;
    align-items: center;
    padding: 4rem 6rem;
  }

  .averett-logo-footer {
    max-width: 200px;
    flex: 1;
  }

  .contact-info-block {
    display: flex;
    flex-direction: column;
    gap: 0.10rem;
    flex: 1;
  }


  .averett-script-footer {
    line-height: var(--line-height-footer-script);
    flex: 1;
  }

}